---
plugins:
  - mkdocstrings:
      handlers:
        python:
          options:
            show_source: false
  - search
site_dir: src/docs/site
site_name: 🐙
theme:
  features:
    - search.highlight
    - search.share
    - search.suggest
  name: material
  palette:
    - scheme: default
      toggle:
        icon: material/brightness-7
        name: Switch to dark mode
    - scheme: slate
      toggle:
        icon: material/brightness-4
        name: Switch to light mode
use_directory_urls: false
markdown_extensions:
  - pymdownx.highlight:
      anchor_linenums: true
      line_spans: __span
      pygments_lang_class: true
  - pymdownx.inlinehilite
  - pymdownx.snippets
  - pymdownx.superfences
